Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache

Enclosing class:
  JaxbHibernateConfiguration.JaxbSessionFactory

    public static class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="collection" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="region" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="usage" use="required" type="{http://www.hibernate.org/xsd/hibernate-configuration}usage-attribute" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `collection`
`protected String` | `region`
`protected JaxbUsageAttribute` | `usage`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache()`

Method Summary
`String` | `getCollection()` Gets the value of the collection property.
`String` | `getRegion()` Gets the value of the region property.
`JaxbUsageAttribute` | `getUsage()` Gets the value of the usage property.
`void` | `setCollection(String value)` Sets the value of the collection property.
`void` | `setRegion(String value)` Sets the value of the region property.
`void` | `setUsage(JaxbUsageAttribute value)` Sets the value of the usage property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### collection

    protected String collection

### region

    protected String region

### usage

    protected JaxbUsageAttribute usage

Constructor Detail

### JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache()

Method Detail

### getCollection

    public String getCollection()

  Gets the value of the collection property.

  Returns:
    possible object is `String`

### setCollection

    public void setCollection(String value)

  Sets the value of the collection property.

  Parameters:
    `value` - allowed object is `String`

### getRegion

    public String getRegion()

  Gets the value of the region property.

  Returns:
    possible object is `String`

### setRegion

    public void setRegion(String value)

  Sets the value of the region property.

  Parameters:
    `value` - allowed object is `String`

### getUsage

    public JaxbUsageAttribute getUsage()

  Gets the value of the usage property.

  Returns:
    possible object is `JaxbUsageAttribute`

### setUsage

    public void setUsage(JaxbUsageAttribute value)

  Sets the value of the usage property.

  Parameters:
    `value` - allowed object is `JaxbUsageAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.